


<!DOCTYPE html>
<!--[if IE 8]><html class="no-js lt-ie9" lang="en" > <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js" lang="en" > <!--<![endif]-->
<head>
  <meta charset="utf-8">
  
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  
  <title>Index &mdash; Documentation</title>
  

  
  
    <link rel="shortcut icon" href="_static/favicon.ico"/>
  
  
  

  
  <script type="text/javascript" src="_static/js/modernizr.min.js"></script>
  
    
      <script type="text/javascript" id="documentation_options" data-url_root="./" src="_static/documentation_options.js"></script>
        <script src="_static/jquery.js"></script>
        <script src="_static/underscore.js"></script>
        <script src="_static/doctools.js"></script>
        <script crossorigin="anonymous" integrity="sha256-Ae2Vz/4ePdIu6ZyI/5ZGsYnb+m0JlOmKPjt6XZ9JJkA=" src="https://cdnjs.cloudflare.com/ajax/libs/require.js/2.3.4/require.min.js"></script>
        <script src="_static/js/bootstrap.min.js"></script>
        <script src="_static/js/bootstrap.bundle.min.js"></script>
        <script src="_static/js/custom.js"></script>
    
    <script type="text/javascript" src="_static/js/theme.js"></script>

    

  
  <link rel="stylesheet" href="_static/css/theme.css" type="text/css" />
  <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
  <link rel="stylesheet" href="_static/css/bootstrap.min.css" type="text/css" />
  <link rel="stylesheet" href="_static/css/bootstrap-grid.min.css" type="text/css" />
  <link rel="stylesheet" href="_static/css/custom.css" type="text/css" />
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" /> 
</head>

<body class="wy-body-for-nav">

   
  <div class="wy-grid-for-nav">
    
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
          

          
            <a href="index.html" class="icon icon-home"> Shyft
          

          
          </a>

          
            
            
              <div class="version">
                4.12
              </div>
            
          

          
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>

          
        </div>

        <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="main navigation">
          
            
            
              
            
            
              <p class="caption"><span class="caption-text">Project</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="content/project/what_is_shyft.html">What is Shyft?</a></li>
<li class="toctree-l1"><a class="reference internal" href="content/project/get_involved.html">Get involved</a></li>
<li class="toctree-l1"><a class="reference internal" href="content/project/contact.html">Contact</a></li>
</ul>
<p class="caption"><span class="caption-text">Time Series</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="content/time_series/installation.html">Installation</a></li>
<li class="toctree-l1"><a class="reference internal" href="content/time_series/concepts.html">Concepts</a></li>
<li class="toctree-l1"><a class="reference internal" href="content/time_series/getting_started.html">Getting started</a></li>
<li class="toctree-l1"><a class="reference internal" href="content/time_series/api.html">API Documentation</a></li>
</ul>
<p class="caption"><span class="caption-text">Hydrology</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="content/hydrology/installation.html">Installation</a></li>
<li class="toctree-l1"><a class="reference internal" href="content/hydrology/concepts.html">Concepts</a></li>
<li class="toctree-l1"><a class="reference internal" href="content/hydrology/getting_started.html">Getting started</a></li>
<li class="toctree-l1"><a class="reference internal" href="content/hydrology/api.html">API Documentation</a></li>
</ul>
<p class="caption"><span class="caption-text">Energy Market</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="content/energy_market/installation.html">Installation</a></li>
<li class="toctree-l1"><a class="reference internal" href="content/energy_market/concepts.html">Concepts</a></li>
<li class="toctree-l1"><a class="reference internal" href="content/energy_market/getting_started.html">Getting started</a></li>
<li class="toctree-l1"><a class="reference internal" href="content/energy_market/api.html">API Documentation</a></li>
</ul>
<p class="caption"><span class="caption-text">Dashboard</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="content/dashboard/installation.html">Installation</a></li>
<li class="toctree-l1"><a class="reference internal" href="content/dashboard/concepts.html">Concepts</a></li>
<li class="toctree-l1"><a class="reference internal" href="content/dashboard/getting_started.html">Getting started</a></li>
<li class="toctree-l1"><a class="reference internal" href="content/dashboard/api.html">API Documentation</a></li>
</ul>

            
          
        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">

      
      <nav class="wy-nav-top" aria-label="top navigation">
        
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="index.html">Shyft</a>
        
      </nav>


      <div class="wy-nav-content">
        
        <div class="rst-content">
        
          















<div role="navigation" aria-label="breadcrumbs navigation">

  <ul class="wy-breadcrumbs">
    
      <li><a href="index.html">Docs</a> &raquo;</li>
        
      <li>Index</li>
    
    
      <li class="wy-breadcrumbs-aside">
        
      </li>
    
  </ul>

  
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
            

<h1 id="index">Index &ndash; P</h1>

<table style="width: 100%" class="indextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="content/hydrology/api.html#shyft.hydrology.KalmanState.P">P() (shyft.hydrology.KalmanState property)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.KalmanFilter.parameter">parameter() (shyft.hydrology.KalmanFilter property)</a>

      <ul>
        <li><a href="content/hydrology/api.html#shyft.hydrology.River.parameter">(shyft.hydrology.River property)</a>
</li>
      </ul></li>
      <li><a href="content/time_series/api.html#shyft.time_series.TimeSeries.partition_by">partition_by() (shyft.time_series.TimeSeries method)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.PenmanMonteithCalculator">PenmanMonteithCalculator (class in shyft.hydrology)</a>
</li>
      <li><a href="content/time_series/api.html#shyft.time_series.DtsClient.percentiles">percentiles() (shyft.time_series.DtsClient method)</a>

      <ul>
        <li><a href="content/time_series/api.html#shyft.time_series.TsVector.percentiles">(shyft.time_series.TsVector method)</a>
</li>
      </ul></li>
      <li><a href="content/time_series/api.html#shyft.time_series.TimeAxis.period">period() (shyft.time_series.TimeAxis method)</a>
</li>
      <li><a href="content/time_series/api.html#shyft.time_series.CacheStats.point_count">point_count() (shyft.time_series.CacheStats property)</a>
</li>
      <li><a href="content/time_series/api.html#shyft.time_series.TimeAxis.point_dt">point_dt() (shyft.time_series.TimeAxis property)</a>
</li>
      <li><a href="content/time_series/api.html#shyft.time_series.TsInfo.point_fx">point_fx() (shyft.time_series.TsInfo property)</a>
</li>
      <li><a href="content/time_series/api.html#shyft.time_series.TimeSeries.point_interpretation">point_interpretation() (shyft.time_series.TimeSeries method)</a>
</li>
      <li><a href="content/time_series/api.html#shyft.time_series.point_interpretation_policy">point_interpretation_policy (class in shyft.time_series)</a>
</li>
      <li><a href="content/time_series/api.html#shyft.time_series.GeoGridSpec.points">points() (shyft.time_series.GeoGridSpec property)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="content/time_series/api.html#shyft.time_series.GeoQuery.polygon">polygon() (shyft.time_series.GeoQuery property)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.PriestleyTaylorCalculator.potential_evapotranspiration">potential_evapotranspiration() (shyft.hydrology.PriestleyTaylorCalculator method)</a>
</li>
      <li><a href="content/time_series/api.html#shyft.time_series.TimeSeries.pow">pow() (shyft.time_series.TimeSeries method)</a>

      <ul>
        <li><a href="content/time_series/api.html#shyft.time_series.TsVector.pow">(shyft.time_series.TsVector method)</a>
</li>
      </ul></li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.InterpolationParameter.precipitation">precipitation() (shyft.hydrology.InterpolationParameter property)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.PrecipitationCorrectionCalculator">PrecipitationCorrectionCalculator (class in shyft.hydrology)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.PrecipitationSource">PrecipitationSource (class in shyft.hydrology)</a>
</li>
      <li><a href="content/time_series/api.html#shyft.time_series.KrlsRbfPredictor.predict">predict() (shyft.time_series.KrlsRbfPredictor method)</a>
</li>
      <li><a href="content/time_series/api.html#shyft.time_series.KrlsRbfPredictor.predictor_mse">predictor_mse() (shyft.time_series.KrlsRbfPredictor method)</a>
</li>
      <li><a href="content/time_series/api.html#shyft.time_series.GeoTimeSeriesConfiguration.prefix">prefix() (shyft.time_series.GeoTimeSeriesConfiguration property)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.PriestleyTaylorCalculator">PriestleyTaylorCalculator (class in shyft.hydrology)</a>
</li>
      <li><a href="content/time_series/api.html#shyft.time_series.DtsServer.process_messages">process_messages() (shyft.time_series.DtsServer method)</a>
</li>
      <li><a href="content/time_series/api.html#shyft.time_series.UtcTimeVector.push_back">push_back() (shyft.time_series.UtcTimeVector method)</a>
</li>
  </ul></td>
</tr></table>


           </div>
           
          </div>
          <footer>
  

  <hr/>

  <div role="contentinfo">
    <p>
        &copy; Copyright 2021, The Shyft project

    </p>
  </div>
  Built with <a href="http://sphinx-doc.org/">Sphinx</a> using a <a href="https://github.com/rtfd/sphinx_rtd_theme">theme</a> provided by <a href="https://readthedocs.org">Read the Docs</a>. 

</footer>

        </div>
      </div>

    </section>

  </div>
  


  <script type="text/javascript">
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script>

  
  
    
   

</body>
</html>